"""Autogenerated API schema"""
from argus_api import session


import_asset = {'tags': ['development'], 'summary': 'Imports Assets (DEV)', 'description': '', 'operationId': 'importAsset', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Asset import request', 'required': False, 'schema': {'type': 'object', 'required': ['assetIdentification', 'customer', 'dataSource'], 'properties': {'dataSource': {'type': 'str', 'position': 0, 'description': 'Required ID or short name of the data source'}, 'customer': {'type': 'str', 'position': 0, 'description': "ID or short name of the asset's customer"}, 'assetIdentification': {'type': 'dict', 'required': ['assetDefinition', 'strategy'], 'properties': {'strategy': {'type': 'str', 'position': 0, 'description': 'Identification strategy to be used - by asset or by component', 'enum': ['asset', 'component']}, 'asset': {'type': 'str', 'position': 0, 'description': 'ID or shortName of asset - required if identifying by asset'}, 'assetDefinition': {'type': 'str', 'position': 0, 'description': "ID or shortname of the asset's definition"}, 'identificationComponent': {'type': 'str', 'position': 0, 'description': 'ID or shortName of component - required if identifying by component'}, 'identificationComponentValue': {'type': 'str', 'position': 0, 'description': 'Component value, parsed based on the component definition type - required if identifying by component'}}, 'description': 'Request to identify an Asset'}, 'components': {'type': 'list', 'position': 0, 'description': 'Specify components to import', 'uniqueItems': True, 'items': {'type': 'dict', 'required': ['componentDefinition', 'value'], 'properties': {'componentDefinition': {'type': 'str', 'position': 0, 'description': 'ID Or shortName of component definition'}, 'value': {'type': 'str', 'position': 0, 'description': "Value which is parsed based on the definition's type"}}, 'description': 'Request to import Components to an Asset'}}}, 'description': 'Request to import an Asset'}}], 'responses': {'200': {'description': 'OK'}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}